import { select, json, geoPath, geoNaturalEarth1} from 'd3';
import {feature} from 'topojson'; //importing the packages required


const svg = select('svg'); // creating a new svg element
//setting the dimensions
const width = +svg.attr('width'); //setting the dimesnions for svg
const height = +svg.attr('height');


const projection = geoNaturalEarth1(); //making the geo projection
const pathGenerator = geoPath().projection(projection);

svg.append('path') //appending the elements
		.attr('class', 'sphere')
		.attr('d', pathGenerator({type: 'Sphere'}));

json('https://gist.githubusercontent.com/kakumanusreya/9efe19ba0bd836525072605a425d5904/raw/ce167379ff1ede5249613bece1c5cc581609a425/world.json')
		.then(data => {
  			const countries = feature(data, data.objects.countries);
  
  			svg.selectAll('path')
        		.data(countries.features)
  					.enter().append('path')
  					.attr('class', 'country')
  					.attr('d', pathGenerator)
		});









